import type { CaipNetwork } from '@web3modal/core';
import type { Chain, Provider } from './Web3TypesUtil.js';
export declare const Web3HelpersUtil: {
    getCaipDefaultChain(chain?: Chain): CaipNetwork | undefined;
    hexStringToNumber(value: string): number;
    numberToHexString(value: number): string;
    getUserInfo(provider: Provider): Promise<{
        chainId: number;
        address: `0x${string}`;
    }>;
    getChainId(provider: Provider): Promise<number>;
    getAddress(provider: Provider): Promise<`0x${string}`>;
    addEthereumChain(provider: Provider, chain: Chain): Promise<void>;
};
